<template>
  <v-sheet elevation="8" max-height="450">
    <div id="example2" class="text-center"><img src="img/news/ng3.png" width="35" height="50"><label class="header">ข่าวสารและกิจกรรม</label></div>
    <v-slide-group v-model="model" class="pa-4" center-active show-arrows>
      <v-slide-item v-for="item in datas" :key="item.id">
        <v-card class="ma-4"  max-width="250" max-height="250">
          <v-img
            class="white--text align-end"
            height="115"
            :src="paths+item.picture[0]"
          ></v-img>

          <v-card-subtitle class="pb-0">
            <i class="fa fa-newspaper-o" aria-hidden="true"></i>
            : &nbsp;&nbsp; {{item.type_name}}
          </v-card-subtitle>

          <v-card-text class="text--primary">
            <div class="detail">{{item.title}}</div>
          </v-card-text>
        </v-card>
      </v-slide-item>
    </v-slide-group>
    <div class="text-center" style="padding-bottom:20px;"><v-btn depressed small color="primary" href="/newscom">ดูทั้งหมด</v-btn></div>
  </v-sheet>
</template>
<style scoped>
#example2 {
  border: 1px solid #6699FF;
  padding: 10px;
  box-shadow: 5px 10px #6699FF;
}
.header{
  font-size: 30px;
  font-weight: bold;
}
.detail{
  font-size: 14px !important;
}
</style>
<script>

export default {
  components: {},
  data () {
    return {
      datas: [],
      name: 'MyComponent',
      paths: process.env.VUE_APP_API
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async getData () {
      try {
        var { data } = await this.axios.get(process.env.VUE_APP_API + '/api/news/indexAll')
        console.log(data)
        this.datas = data.data
        console.log(this.datas)
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
